import { ElementRef, OnInit, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DatePickerOptions, DateModel } from '../classes/';
import * as moment from 'moment';
export declare const CALENDAR_VALUE_ACCESSOR: any;
export declare class DatePickerComponent implements ControlValueAccessor, OnInit {
    private el;
    options: DatePickerOptions;
    inputEvents: EventEmitter<{
        type: string;
        data: string;
    }>;
    outputEvents: EventEmitter<{
        type: string;
        data: string;
    }>;
    date: DateModel;
    private opened;
    private currentDate;
    private days;
    private years;
    private yearPicker;
    private scrollOptions;
    private minDate;
    private maxDate;
    private onTouchedCallback;
    private onChangeCallback;
    constructor(el: ElementRef);
    value: DateModel;
    ngOnInit(): void;
    generateCalendar(): void;
    selectDate(e: MouseEvent, date: moment.Moment): void;
    selectYear(e: MouseEvent, year: number): void;
    generateYears(): void;
    writeValue(date: DateModel): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    prevMonth(): void;
    nextMonth(): void;
    today(): void;
    toggle(): void;
    open(): void;
    close(): void;
    onOpen(): void;
    openYearPicker(): void;
}
